= form_for @irrigation do |f|
  - if @irrigation.errors.any?
    #error_explanation
      %h2= "#{pluralize(@irrigation.errors.count, "error")} prohibited this irrigation from being saved:"
      %ul
        - @irrigation.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :source_of_irrigation
    = f.text_field :source_of_irrigation
  .field
    = f.label :defunct
    = f.number_field :defunct
  .field
    = f.label :working
    = f.number_field :working
  .field
    = f.label :water_depth
    = f.number_field :water_depth
  .field
    = f.label :yield
    = f.number_field :yield
  .field
    = f.label :kharif
    = f.number_field :kharif
  .field
    = f.label :rabi
    = f.number_field :rabi
  .field
    = f.label :summer
    = f.number_field :summer
  .field
    = f.label :perennial_cops
    = f.number_field :perennial_cops
  .field
    = f.label :water_quality
    = f.text_field :water_quality
  .actions
    = f.submit 'Save'
